Bug 1487224 - Review Request: python3-setproctitle - Python module to customize a process title
Summary: Review Request: python3-setproctitle - Python module to customize a process t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 13:02 UTC by Björn 'besser82' Esser
Modified: 2017-11-16 15:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-03 23:49:25 UTC
leigh123linux: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-08-31 13:02:48 UTC
Description:

  Python module allowing a process to change its title as displayed by
  system tool such as ps and top.

  It's useful in multiprocess systems, allowing to identify tasks each forked
  process is busy with. This technique has been used by PostgreSQL and OpenSSH.

  It's based on PostgreSQL implementation which has proven to be portable.


Issues:

  fedora-review shows no obvious issues.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/python34-setproctitle.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/python34-setproctitle-1.1.6-1.el7.src.rpm


Additional information:

This is an EPEL7 compatibility package!


Thanks for review in advance!

Comment 1 leigh scott 2017-08-31 15:20:08 UTC
Approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel

Do the packaging police really prohibit the use of python*-devel? 


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "ISC", "PostgreSQL", "Unknown or generated",
     "*No copyright* BSD (unspecified)". 16 files have unknown license.
     Detailed output of licensecheck in
     /home/leigh/1487224-python34-setproctitle/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python34
     -setproctitle-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python34-setproctitle-1.1.6-1.el7.centos.x86_64.rpm
          python34-setproctitle-debuginfo-1.1.6-1.el7.centos.x86_64.rpm
          python34-setproctitle-1.1.6-1.el7.centos.src.rpm
python34-setproctitle.x86_64: W: spelling-error %description -l en_US ps -> PS, pa, pd
python34-setproctitle.x86_64: W: spelling-error %description -l en_US multiprocess -> multiprocessor, multiprocessing
python34-setproctitle.x86_64: W: incoherent-version-in-changelog 1.1.6-1 ['1.1.6-1.el7.centos', '1.1.6-1.centos']
python34-setproctitle.src: W: spelling-error %description -l en_US ps -> PS, pa, pd
python34-setproctitle.src: W: spelling-error %description -l en_US multiprocess -> multiprocessor, multiprocessing
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python34-setproctitle-debuginfo-1.1.6-1.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python34-setproctitle-debuginfo.x86_64: W: only-non-binary-in-usr-lib
python34-setproctitle.x86_64: W: incoherent-version-in-changelog 1.1.6-1 ['1.1.6-1.el7.centos', '1.1.6-1.centos']
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python34-setproctitle-debuginfo (rpmlib, GLIBC filtered):

python34-setproctitle (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python34-setproctitle-debuginfo:
    python34-setproctitle-debuginfo
    python34-setproctitle-debuginfo(x86-64)

python34-setproctitle:
    python34-setproctitle
    python34-setproctitle(x86-64)



Unversioned so-files
--------------------
python34-setproctitle: /usr/lib64/python3.4/site-packages/setproctitle.cpython-34m.so

Source checksums
----------------
http://pypi.python.org/packages/source/s/setproctitle/setproctitle-1.1.6.tar.gz :
  CHECKSUM(SHA256) this package     : f2926abd47803e288f665401268a9950961be734e981035bde9acb4af80a032d
  CHECKSUM(SHA256) upstream package : f2926abd47803e288f665401268a9950961be734e981035bde9acb4af80a032d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1487224
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2017-08-31 17:04:16 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python34-setproctitle

Comment 3 Fedora Update System 2017-08-31 21:37:04 UTC
python34-setproctitle-1.1.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe6ec758c1

Comment 4 Fedora Update System 2017-09-03 04:50:39 UTC
python34-setproctitle-1.1.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fe6ec758c1

Comment 5 Fedora Update System 2017-09-03 23:49:25 UTC
python34-setproctitle-1.1.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Tuomo Soini 2017-09-04 06:34:03 UTC
This review should not have succeeded - package name should be python3-setproctitle so this naming is not following packaging guildelines. Please re-review with correct name.

Comment 7 Tuomo Soini 2017-09-04 07:07:02 UTC
Please check https://fedoraproject.org/wiki/User:Orion/EPEL7_Python3

Comment 8 Gwyn Ciesla 2017-11-16 15:33:00 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-setproctitle


Note You need to log in before you can comment on or make changes to this bug.